# from __future__ import absolute_import
#
#
# from functools import wraps
# from uuid import uuid4
# from playhouse import signals
# from lola.itinerary_parsing.utils import first
#
# class BladeService(object):
#     """ Base class for services. """
#
#     def __init__(self):
#         super(BladeService, self).__init__()
#         self.__shutdown = False
#         self.hooks = {
#             'post_init': [],
#             'post_save': [],
#             'pre_save': [],
#             'pre_delete': [],
#             'post_delete': [],
#         }
#
#     def hook(self, hook, model_type, admin_too=False):
#         def decorator(f):
#             hook_name = uuid4().hex
#             self.hooks.get(hook).append(hook_name)
#
#             @wraps(f)
#             def decorated(*args, **kwargs):
#                 return f(*args, **kwargs)
#
#             getattr(signals, hook).connect(decorated, hook_name, model_type)
#             return decorated
#
#         return decorator
#
#     def post_init_hook(self, model_type):
#         return self.hook('post_init', model_type)
#
#     def pre_save_hook(self, model_type):
#         return self.hook('pre_save', model_type)
#
#     def post_save_hook(self, model_type):
#         return self.hook('post_save', model_type)
#
#     def pre_delete_hook(self, model_type):
#         return self.hook('pre_delete', model_type)
#
#     def post_delete_hook(self, model_type):
#         return self.hook('post_delete', model_type)
#
#     @property
#     def injector(self):
#         return getattr(self, '__injector__', None)
#
#     def lookup(self, interface):
#         if isinstance(interface, basestring):
#             interface = first([b[0] for b in self.injector.binder._bindings if b[0].__name__ == interface])
#         return self.injector.get(interface)
#
#     def call(self, f, *args, **kwargs):
#         return self.injector.get(f)(*args, **kwargs)
#
#     def is_shutdown(self):
#         return self.__shutdown
#
#     def shutdown(self):
#         for key, list in self.hooks.iteritems():
#             for item in list:
#                 getattr(signals, key).disconnect(name=item)
#         self.__shutdown = True
