from __future__ import absolute_import

import logging
import logging.config


def configure(env):
    logging.config.dictConfig({
        'version': 1,
        'disable_existing_loggers': True,
        'formatters': {
            'standard': {
                'format': '%(name)s - %(levelname)s - %(message)s'
            },
        },
        'handlers': {
            'default': {
                'class': 'logging.StreamHandler',
                'formatter': 'standard'
            },
        },
        'root': {
            'handlers': ['default'],
            'level': 'WARN',
        },
        'loggers': {
            'lola': {
                'level': 'DEBUG' if env == 'dev' else 'INFO',
            },

        }
    })