from __future__ import absolute_import

from lola.itinerary_parsing.utils import overrides

from lola.itinerary_parsing.parsers.email_parsers.hotels import HotelFilter
from lola.itinerary_parsing.parsers.email_parsers import travel_filter
from lola.itinerary_parsing.parsers.email_parsers.rules.hotels import PATTERN_HOTEL_DESCRIPTION


@travel_filter(source='BestWestern', sender='reserv@cs.bestwestern.com',
               subject=['Best Western - Reservation Confirmation'])
@travel_filter(source='BestWestern', sender='reserv@cs.bestwestern.com',
               subject=['Best Western'])
class BestWesternFilter(HotelFilter):
    """
    This class extract info out the of the email which couldn't be
    extracted by the base class function
    """
    @overrides(HotelFilter)
    def filter_source(self):
        return 'BestWestern'

    @overrides(HotelFilter)
    def extract_hotel_description(self, soup, hotel_name):

        match = soup.find('a', text=PATTERN_HOTEL_DESCRIPTION)
        if match:
            while match.name != 'p':
                match = match.parent
            return match.text
        return None
