from __future__ import absolute_import

from lola.itinerary_parsing.utils import overrides

from lola.itinerary_parsing.parsers.email_parsers.hotels import HotelFilter
from lola.itinerary_parsing.parsers.email_parsers import travel_filter


@travel_filter(source='HotelTonight', sender='rg.vanessa@gmail.com', subject=['Your HotelTonight Booking Receipt'])
class HotelTonightFilter(HotelFilter):
    """
    This class contains methods to extract info out of the email which couldn't be extracted by base class  method
    """

    def __init__(self):
        super(HotelTonightFilter, self).__init__()
        self.multiline = True

    @overrides(HotelFilter)
    def filter_source(self):
        return 'HotelTonight'

    @overrides(HotelFilter)
    def get_charge_category_list(self):
        """
        Function to return charges category list
        """
        # There are purchase values which we don't want to include into our result
        # so exclude category will determine such values
        return ['exclude', 'base', 'tax', 'fees', 'total']
