"""
Hyatt emails contains hotel name in subject, which makes
it different from the other email
"""
from __future__ import absolute_import

from lola.itinerary_parsing.utils import overrides

from lola.itinerary_parsing.parsers.email_parsers.hotels import HotelFilter
from lola.itinerary_parsing.parsers.email_parsers import travel_filter


@travel_filter(source='Hyatt', sender='omair.shamshir@arbisoft.com', subject=['Hyatt'])
@travel_filter(source='Hyatt', sender='omair.shamshir@arbisoft.com', subject=['Grand Hyatt Denver'])
@travel_filter(source='Hyatt', sender='info@t.hyatt.com', subject=['Hyatt'])
class HyattFilter(HotelFilter):
    """
    This class contains methods to extract info
    out of the email which couldn't be extracted by base class
    method
    """
    @overrides(HotelFilter)
    def filter_source(self):
        return 'Hyatt'

