"""
Only difference we have in kayak as compared to others
email is we try to find hotel name from email subject
"""
from __future__ import absolute_import

from lola.itinerary_parsing.utils import overrides

from lola.itinerary_parsing.parsers.email_parsers.hotels import HotelFilter
from lola.itinerary_parsing.parsers.email_parsers import travel_filter


# we need to investigate whether bookings-noreply\d*@kayak.com will work for gmail
from lola.itinerary_parsing.parsers.email_parsers.rules.hotels.kayak import PATTERN_NAME


@travel_filter(source='Kayak', sender='bookings-noreply@kayak.com', subject=['Your KAYAK booking receipt for'])
@travel_filter(source='Kayak', sender='bookings-noreply1@kayak.com', subject=['Your KAYAK booking receipt for'])
@travel_filter(source='Kayak', sender='bookings-noreply2@kayak.com', subject=['Your KAYAK booking receipt for'])
@travel_filter(source='Kayak', sender='bookings-noreply3@kayak.com', subject=['Your KAYAK booking receipt for'])
@travel_filter(source='Kayak', sender='bookings-noreply4@kayak.com', subject=['Your KAYAK booking receipt for'])
@travel_filter(source='Kayak', sender='bookings-noreply5@kayak.com', subject=['Your KAYAK booking receipt for'])
@travel_filter(source='Kayak', sender='omair.shamshir@arbisoft.com',
               subject=['Your KAYAK booking receipt for InterContinental'])
class KayakFilter(HotelFilter):
    """
    This class contains function to extract info out of the email
    which couldn't be extracted by the base class function
    """
    @overrides(HotelFilter)
    def filter_source(self):
        return 'Kayak'

    @overrides(HotelFilter)
    def extract_hotel_name(self, email, soup):
        """
        Extract hotel name for which booking is made.
        For kayak we can have bookings from different sources.
        """
        match = PATTERN_NAME.match(email.filtered_subject)
        if match:
            return match.group(1).strip()
        return None
