from __future__ import absolute_import

from lola.itinerary_parsing.utils import overrides

from lola.itinerary_parsing.parsers.email_parsers.hotels import HotelFilter
from lola.itinerary_parsing.parsers.email_parsers import travel_filter


@travel_filter(source='Starwood', sender='omair.shamshir@arbisoft.com',
               subject=['Your Luxury Collection Reservation Confirmation'])
@travel_filter(source='Starwood', sender='GCCUSTSERVICE@confirm.starwoodhotels.com',
               subject=['Your Luxury Collection Reservation Confirmation'])
class StarwoodFilter(HotelFilter):
    """
    This class contains methods to extract info
    out of the email which couldn't be extracted by base class
    method
    """
    def __init__(self):
        super(StarwoodFilter, self).__init__()
        self.multiline = True

    @overrides(HotelFilter)
    def filter_source(self):
        return 'Starwood'

