from __future__ import absolute_import

from lola.itinerary_parsing.utils import overrides

from lola.itinerary_parsing.parsers.email_parsers.hotels import HotelFilter
from lola.itinerary_parsing.parsers.email_parsers import travel_filter


@travel_filter(source='WorldWide', sender='christianbusch@gmail.com',
               subject=['YOUR RESERVATION 791602605 IS ALL SET. SEE YOU AT W Fort Lauderdale'])
@travel_filter(source='WorldWide', sender='GCCUSTSERVICE@confirm.starwoodhotels.com',
               subject=['YOUR RESERVATION'])
class WorldWide(HotelFilter):
    """
    This class contains methods to extract info
    out of the email which couldn't be extracted by base class
    method
    """

    def __init__(self):
        super(WorldWide, self).__init__()
        self.multiline = True

    @overrides(HotelFilter)
    def filter_source(self):
        return 'WorldWide'
