from __future__ import absolute_import

from lola.itinerary_parsing.utils import overrides

from lola.itinerary_parsing.parsers.email_parsers.hotels import HotelFilter
from lola.itinerary_parsing.parsers.email_parsers import travel_filter

@travel_filter(source='Wyndham', sender='leandra@lolatravel.com',
               subject=['Fwd: Wyndham Hotel Resorts Confirmed Reservation Notification'])
@travel_filter(source='Wyndham', sender='donotreply@wyn.com',
               subject=['Wyndham Hotel Resorts Confirmed Reservation Notification'])
class WyndhamFilter(HotelFilter):
    """
    This class extract info out the of the email which couldn't be
    extracted by the base class function
    """
    def __init__(self):
        super(WyndhamFilter, self).__init__()
        self.multiline = True

    @overrides(HotelFilter)
    def filter_source(self):
        return 'Wyndham'

