"""
This file contains regular expression  that are using in base class of airline filter
"""
import re

# FLight charges category pattern
CHARGE_PATTERN = {'tax': ['taxes', 'tax', 'duty'],
                  'fees': ['fee', 'charge', 'surcharge', 'service', 'seat', 'bag'],
                  'base': ['fare', 'airfare', 'adult', 'child'],
                  'total': ['total', 'amount', 'air cost'],
                  'exclude': ['per passenger', 'visa']}

#  To match time eg:  12:20 pm or 1:50 a.m
TIME_PATTERN = re.compile(r"""
                            (?xi)  # verbose regex, case-insensitive
                            (?:
                                (
                                    \d{1,2}:    # match digits and repeat 1 to 2 times follow by character :
                                    \d{2}\s*[ap].?[m] # match digits and repeat two times follow by zero or more space and
                                                    # character am or pm
                                )
                                |
                                (
                                    \d{1,2}:
                                    \d{2}\s*
                                )
                                [nh]?
                            )\b
                          """)

# Since our categorization criteria for values is completely dependent on
# rules so in order to avoid collision with any of the noise we are maintaining
# list of the tokens to exclude it from the text we are searching from.
ILLEGAL_TOKEN = ['ARRIVE', 'DEPART', ' LV ', ' AR ', 'Traveler Details', 'eTicket Number', 'Airlines']

BACK_TRAVERSAL_LIMIT = 2
FORWARD_TRAVERSAL_LIMIT = 4


def is_more_expansion_needed_segment(flight_info, is_single):
    airport = flight_info.get('airport')
    time = flight_info.get('time')
    return not ((airport and len(airport) > 1) and (time and len(time) > 1))
