import re

# Pattern to extract hotel name
PATTERN_NAME = re.compile(r"""
                          (?x)      # sample matched pattern: Hilton Boston Back Bay
                          ^Hilton   # String that starts with key 'Hilton'
                          \s        # Followed by a single space
                          (.*)      # Captured everything that lies ahead of previous pattern except new line
                          """
                          )

PATTERN_NAME2 = re.compile(r"""
                           (?ix)                    # sample matched pattern: Hampton Confirmation #85384760
                           (.*)                     # Capture everything from start of the string
                           (?:\s*Confirmation)      # Till 'Confirmation keyword occurs in a string starting with
                                                    # space repeats zero or more
                           (?:\s*\#[0-9]*)          # Followed by spaces 0 or more single # and 0 - many digits
                           """)

# Tokens shouldn't be included in hotel name to find exact candidate for hotel name
TOKENS = ['confirmation', 'reserved', 'care', 'confirmed', 'reservations', 'telephone', 'confidential', 'membership']

#  Pattern for extracting record locator from hilton email subject
PATTERN_SUBJECT = re.compile(r"""
                            (?x)                    # sample matched pattern: DoubleTree by Hilton Confirmation #81840652
                            (?:                     # shouldn't be part of matched results
                                .*Confirmation\s    # Capture everything
                            )                       # except newline till we have
                                                    # 'Confirmation' keyword in string
                             (?:\#)(.*)             # Followed by hash and capture everything except new line
                             """)

# Pattern for extracting arrival and departure dates for hilton
ARRIVAL_DEPARTURE_PATTERN = ['YOUR STAY DATES', 'Arrival', 'Departure']
