"""
This file contain final json schema for airlines
"""
from dateutil import parser

validation_json_schema = {'user_id': str,
                          'raw_email': {'source': str, 'subject': str, 'time': parser.parse, 'body': str,
                                        'attachments': str},
                          'participants': list,
                          'num_children': int,
                          'num_adults': int,
                          'transaction_time': parser.parse,
                          'transaction_id': list,
                          'provider_name': str,
                          'provider_code': str,
                          'rewards_program': str,
                          'rewards_id': str,
                          'cost_dollars': {'base': int, 'total': int, 'tax': int, 'fees': int},
                          'flight': {'base_price': int,
                                     'total_price': int,
                                     'tax': int,
                                     'service_fee': int,
                                     'currency_code': str,
                                     'legs': [{'interline_valid': str,
                                               'last_ticket_date': parser.parse,
                                               'num_segments': int,
                                               'total_time': int,
                                               'airports': list,
                                               'segments': [{'plane_type': str,
                                                             'arrival_airport': str,
                                                             'departure_airport': str,
                                                             'departure': parser.parse,
                                                             'base_code': str,
                                                             'booking_code': str,
                                                             'cabin_type': str,
                                                             'cabin_type_string': str,
                                                             'arrival': parser.parse,
                                                             'elapsed_time': int,
                                                             'flight_number': str,
                                                             'marketing_airline': str,
                                                             'operating_airline': str,
                                                             'operating_airline_flight_number': str,
                                                             'married_segment': bool,
                                                             'stops': [{'airport': str,
                                                                        'arrival': parser.parse,
                                                                        'departure': parser.parse,
                                                                        'duration': int,
                                                                        'plan_type': str
                                                                       }],
                                                             }],
                                               }],
                                     },
                          'hotel': {}
}
