"""
Following is a validation schema to validate
json results we get out of the parser.
"""
from dateutil import parser

validation_json_schema = {'user_id': str,
                   'raw_email': {'source': str, 'subject': str, 'time': parser.parse, 'body': str, 'attachments': str},
                   'participants': list,
                   'num_children': int,
                   'num_adults': int,
                   'transaction_time': parser.parse,
                   'transaction_id': str,
                   'provider_name': str,
                   'provider_code': str,
                   'rewards_program': str,
                   'rewards_id': str,
                   'cost_dollars': {'base': int, 'total': int, 'tax': int, 'fees': int},
                   'hotel': {'address1': str,
                             'city': str,
                             'province': str,
                             'country_code': str,
                             'postal_code': str,
                             'checkin_date': parser.parse,
                             'checkout_date': parser.parse,
                             'currency_code': str,
                             'amenities': list,
                             'name': str,
                             'description': str,
                             'latitude': float,
                             'longitude': float,
                             'num_rooms': int,
                             'num_guests': int,
                             'base_rate': int,
                             'high_rate': int,
                             'low_rate': int,
                             'tax_rate': int,
                             'non_refundable': bool,
                             'supplier_type': str,
                             'thumbnail_url': str,
                             'trip_advisor_count': str,
                             'trip_advisor_rating': float,
                             'trip_advisor_url': str,
                             'smoking': bool,
                             'star_rating': float,
                             'rooms': [{'number': str,
                                       'bed_type': str,
                                       'bed_number': int
                                        }
                                       ],
                             'onsite_purchases': {'cost': int,
                                                  'item': str
                                                 }
                             }
                   }
