import os
from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'README.md')) as f:
    README = f.read()
with open(os.path.join(here, 'CHANGES.txt')) as f:
    CHANGES = f.read()
with open(os.path.join(here, 'requirements.package.txt')) as f:
    requires = f.read().splitlines()

setup(name='lola.itinerary-parser',
      version='0.0.51',
      description='Parser to extract travel info from emails and sites like Tripit',
      long_description=README + '\n\n' + CHANGES,
      author='Omair Shamshir',
      author_email='omair@lolatravel.com',
      url='https://github.com/lolatravel/email-parser',
      namespace_packages=['lola'],
      packages=find_packages(exclude=["tests*", "arnold_config*"]),
      include_package_data=True,
      zip_safe=False,
      install_requires=requires,
      )
